Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 513269 - rpmbuild-md5 needs to quote its arguments.
rpmbuild-md5 needs to quote its arguments.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-22 14:32 EDT by Steve Traylen
Modified: 2009-08-26 23:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.3.8-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 01:06:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2009-07-22 14:32:01 EDT
Description of problem:

rpmbuild-md5 contains

rpmbuild --define "_source_filedigest_algorithm md5"  \
   --define "_binary_filedigest_algorithm md5" $@

but bad things happen when $@ contains quoted arguments since they
are subsequently lost before being passed to the original rpmbuild.

Version-Release number of selected component (if applicable):

$ rpm -qf /usr/bin/rpmbuild-md5 
fedora-packager-0.3.5-1.fc11.noarch

How reproducible:

Every time.

Steps to Reproduce:
1. rpmbuild-md5 -bs --define 'dist .el5' ~/rpmbuild/SPECS/uberftp.spec

Actual results:

error: Macro %dist has empty body
error: Macro %dist has empty body
error: failed to stat /home/steve/.el5: No such file or directory


Expected results:

Wrote: /home/steve/rpmbuild/SRPMS/uberftp-2.4-4.el5.src.rpm

Additional info:

Changing $@ to "$@" looks to the fix the problem just fine.
Comment 1 Fedora Update System 2009-07-28 18:38:50 EDT
fedora-packager-0.3.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fedora-packager-0.3.6-1.fc11
Comment 2 Fedora Update System 2009-07-28 18:44:33 EDT
fedora-packager-0.3.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fedora-packager-0.3.6-1.fc10
Comment 3 Fedora Update System 2009-07-28 18:45:16 EDT
fedora-packager-0.3.6-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-packager-0.3.6-1.el5
Comment 4 Fedora Update System 2009-07-29 17:28:36 EDT
fedora-packager-0.3.6-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8080
Comment 5 Fedora Update System 2009-07-29 17:31:44 EDT
fedora-packager-0.3.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8096
Comment 6 Fedora Update System 2009-07-29 18:57:40 EDT
fedora-packager-0.3.6-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0152
Comment 7 Fedora Update System 2009-07-31 14:03:24 EDT
fedora-packager-0.3.7-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8096
Comment 8 Fedora Update System 2009-07-31 14:04:27 EDT
fedora-packager-0.3.7-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8080
Comment 9 Fedora Update System 2009-07-31 17:27:40 EDT
fedora-packager-0.3.7-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0152
Comment 10 Fedora Update System 2009-08-07 01:06:42 EDT
fedora-packager-0.3.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-08-07 01:08:04 EDT
fedora-packager-0.3.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-08-10 15:50:47 EDT
fedora-packager-0.3.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-packager-0.3.8-1.el5
Comment 13 Fedora Update System 2009-08-26 23:27:07 EDT
fedora-packager-0.3.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.